package jp.topse.kaizu.sequence2csp.convert;

import org.eclipse.uml2.uml.Lifeline;
import org.eclipse.uml2.uml.Message;
import org.eclipse.uml2.uml.StateInvariant;

public class CSPNames {
	public static String get(Lifeline lifeline) {
		String name = lifeline.getName();
		if(name != null && !name.isEmpty()){
			return name;
		}
		return lifeline.getRepresents().getType().getName();
	}

	public static String get(Message message) {
		return message.getName();
	}

	public static String get(StateInvariant si) {
		// Lifeline lifeline = (Lifeline)(si.getCovereds().get(0));
		// return get(lifeline) + "_" + si.getName();
		return si.getName();
	}
}
